/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { ChannelAveragingFactor } from './channel-averaging-factor';

/**
 * CorrelationSPWConfiguration defines the configuration for a CSP Frequency Slice Processor.  :param swp_id: SWP configuration ID [1..27] :param logical_fsp_ids: Logical FPS Ids :param receptors: list of receptors :param zoom_factor: zoom factor [0..6] :param centre_frequency: Centre Frequency :param number_of_channels: Number of Channels :param channel_averaging_factor: Channel Average Factor :param time_integration_factor: integer multiple of correlation integration time (140ms) [1..10]
 * @export
 * @interface CorrelationSPWConfiguration
 */
export interface CorrelationSPWConfiguration {
    /**
     * 
     * @type {number}
     * @memberof CorrelationSPWConfiguration
     */
    'spw_id': number;
    /**
     * 
     * @type {Array<number>}
     * @memberof CorrelationSPWConfiguration
     */
    'logical_fsp_ids': Array<number>;
    /**
     * 
     * @type {Array<string>}
     * @memberof CorrelationSPWConfiguration
     */
    'receptors'?: Array<string>;
    /**
     * 
     * @type {number}
     * @memberof CorrelationSPWConfiguration
     */
    'zoom_factor': number;
    /**
     * 
     * @type {number}
     * @memberof CorrelationSPWConfiguration
     */
    'centre_frequency': number;
    /**
     * 
     * @type {number}
     * @memberof CorrelationSPWConfiguration
     */
    'number_of_channels': number;
    /**
     * 
     * @type {ChannelAveragingFactor}
     * @memberof CorrelationSPWConfiguration
     */
    'channel_averaging_factor'?: ChannelAveragingFactor;
    /**
     * 
     * @type {number}
     * @memberof CorrelationSPWConfiguration
     */
    'time_integration_factor': number;
}



